package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcSafe;

/**
 * cmc安全交底Mapper接口
 * 
 * @author cmc
 * @date 2024-04-03
 */
public interface CmcSafeMapper 
{
    /**
     * 查询cmc安全交底
     * 
     * @param safeId cmc安全交底主键
     * @return cmc安全交底
     */
    public CmcSafe selectCmcSafeBySafeId(String safeId);

    /**
     * 查询cmc安全交底列表
     * 
     * @param cmcSafe cmc安全交底
     * @return cmc安全交底集合
     */
    public List<CmcSafe> selectCmcSafeList(CmcSafe cmcSafe);

    /**
     * 新增cmc安全交底
     * 
     * @param cmcSafe cmc安全交底
     * @return 结果
     */
    public int insertCmcSafe(CmcSafe cmcSafe);

    /**
     * 修改cmc安全交底
     * 
     * @param cmcSafe cmc安全交底
     * @return 结果
     */
    public int updateCmcSafe(CmcSafe cmcSafe);

    /**
     * 删除cmc安全交底
     * 
     * @param safeId cmc安全交底主键
     * @return 结果
     */
    public int deleteCmcSafeBySafeId(String safeId);

    /**
     * 批量删除cmc安全交底
     * 
     * @param safeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcSafeBySafeIds(String[] safeIds);
}
